package com.futu.course.course.controller;

import com.futu.course.course.domain.CourseSection;
import com.futu.course.course.dto.CourseSectionListByIdDto;
import com.futu.course.course.service.impl.CourseSectionServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author "杨旭朋"
 * @ClassName: CourseSectionController
 * @date 2025年05月13日 18:54
 */
@RestController
@RequestMapping("CourseSection")
public class CourseSectionController {
    @Autowired
    private CourseSectionServiceImpl courseSectionService;
    @PostMapping("CourseSectionListById")
    public List<CourseSection> CourseSectionListById(@RequestBody CourseSectionListByIdDto courseId){
        return courseSectionService.CourseSectionListById(courseId.getCourseId());
    }
}
